%define		perl_vendorlib  %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

Name:		perl-Video-ivtv
Summary:	Perl modules for ivtv Video support
Group:		Applications/Multimedia
Version:	0.13
Release:	1%{?dist}
License:	GPL
URL:		http://ivtvdriver.org/
Source0:	http://dl.ivtvdriver.org/supporting-tools/Video-ivtv-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Video::ivtv is designed to be a quick hack at making the record_ivtv.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on
improving the code rather than hitting my head against the wall trying to
do code cleanups.

%prep
%setup -q -n Video-ivtv-%{version}
# From http://fedoraproject.org/wiki/Packaging/Perl
# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
	sed -e '/perl(unwanted_provide)/d'
EOF

%define __perl_provides %{_builddir}/Video-ivtv-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
	sed -e '/perl(unwanted_require)/d'
EOF

%define __perl_requires %{_builddir}/Video-ivtv-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
perl Makefile.PL INSTALLDIRS=vendor
make 
# test requires /dev/video
#make test


%install
rm -rf $RPM_BUILD_ROOT
make install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
	INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
	-o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'

chmod 755 $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Video/ivtv/ivtv.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README Changes
%{_mandir}/man3/Video::ivtv.3pm.gz
%{perl_vendorarch}/Video/ivtv.pm
%{perl_vendorarch}/auto/Video/ivtv/ivtv.so


%changelog
* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 0.13-1
- Initial Release.
